package org.n52.security.common.collections;

import java.util.Iterator;

public class FilterIterable<NewType, OldType> implements Iterable<NewType> {

    private Iterable<OldType> m_decoratedIterable;
    private Filter<NewType, OldType> m_filter;

    public FilterIterable(Iterable<OldType> decoratedIterable, Filter<NewType, OldType> filter) {
        m_decoratedIterable = decoratedIterable;
        m_filter = filter;
    }

    @Override
    public Iterator<NewType> iterator() {
        return new FilterIterator<NewType, OldType>(m_decoratedIterable.iterator(), m_filter);
    }

}
